Loading...
Searching...
No Matches
XrdCryptoFactory.cc File Reference
`#include <cstring>`
`#include <dlfcn.h>`
`#include "XrdCrypto/XrdCryptoAux.hh"`
`#include "XrdCrypto/XrdCryptoTrace.hh"`
`#include "XrdCrypto/XrdCryptoFactory.hh"`
`#include "XrdOuc/XrdOucHash.hh"`
`#include "XrdOuc/XrdOucPinLoader.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "XrdVersion.hh"`
Include dependency graph for XrdCryptoFactory.cc:

Go to the source code of this file.

## Classes

struct | FactoryEntry

## Variables

static XrdSysError | eDest (0,"cryptofactory_")

## Class Documentation

## FactoryEntry

struct FactoryEntry

Definition at line 410 of file XrdCryptoFactory.cc.

Collaboration diagram for FactoryEntry:

Class Members
XrdCryptoFactory * | factory |
char | factoryname[MAXFACTORYNAMELEN] |
bool | status |

## Variable Documentation

## eDest

XrdSysError eDest(0,"cryptofactory_") | ( | 0 | ,
|  | "cryptofactory_" | )

static